# Hurricane VLSI Database

List of all members | Public Member Functions
Hurricane::VectorCollection< Element > Class Template Reference

Hurricane Collection wrapper around a std::vector. More...

Inheritance diagram for Hurricane::VectorCollection< Element >:
[legend]

## Public Member Functions
| VectorCollection (const ElementVector *elementVector=NULL)
Public Member Functions inherited from Hurricane::Collection< Element >
virtual | ~Collection ()
Element | getFirst () const
GenericCollection< Element > | getSubSet (const Filter< Element > &filter) const
GenericCollection< SubType > | getSubSet () const
GenericCollection< SubType > | getSubSet (const Filter< SubType > &filter) const

## Detailed Description

### template<class Element>
class Hurricane::VectorCollection< Element >

Hurricane Collection wrapper around a std::vector.

Automatically wrap a Hurricane Collection around a stl::vector.

## Constructor & Destructor Documentation

## ◆ VectorCollection()

template<class Element >

Hurricane::VectorCollection< Element >::VectorCollection | ( | const ElementVector * | elementVector = `NULL` | ) |
| inline

Constructor from a STL vector, the vector must not be de-allocated.

The documentation for this class was generated from the following files:

- VectorCollection.h
- Collection.dox

Generated by doxygen 1.8.14 on Tue Jul 21 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved